function sinodat = sino(angs, rads)
%Usage: sinodat = sino(angs, rads)
%Compute line integral of the attentuation function "lambda" through the 
%unit disk, over each line parameterized by 
%
% L(s) = r*<cos(theta),sin(theta)> + s*<-sin(theta),cos(theta)>
%
%for angles thetapi*j/angs, 0 <= j < angs and
%radius r = (k+0.5-rads)/rads, 0 <= k < 2*rads-1.
%Returns an array of size angs X 2*rads.

sinodat = zeros(angs, 2*rads);

for j = 0:(angs-1)
    theta = pi*j/angs;
    
    for k = 0:(2*rads-1)
        
        r = (k-rads+0.5)/rads;
        Lint = intray(theta, r);
        sinodat(j+1,k+1) = Lint;
        
    end
end


